Subject: Re: [RFC/PATCH 0/3] Teach revert/cherry-pick the --no-verify option

From: Junio C Hamano <[email-masked]>
Date: Wed, 03 Sep 2014 12:21:55 -0700

Johan Herland <[email-masked]> writes:

> A colleague of mine noticed that cherry-pick does not accept the
> --no-verify option to skip running the pre-commit/commit-msg hooks.
>
> Here's a first attempt at adding --no-verify to the revert/cherry-pick.

Back when cherry-pick was a single commit operation, lack of the
option did not matter very much, but it probably makes sense to
allow telling the command that the entire series of commits is
expected to be full of ones that do not verify.  In the same vain,
we already support --allow-empty and --allow-empty-message, so in
that sense this change probably is an improvement.